katana 0.9.0+10 icon indicating copy to clipboard operation
katana: ^0.9.0+10 copied to clipboard

Package containing a collection of basic Flutter utilities. It provides the base part of the Masamune framework.

Katana #

Version Language License: BSD


"Katana" is a package of utilities for Flutter. It defines several extension methods and global functions.

  • Localize
  • Improved usability of Preference
  • Extended methods for String and Map

Getting Started #

Add this to your package's pubspec.yaml file:

dependencies:
  katana: ^0.9.0

You should then run flutter pub upgrade.

Usage #

import 'package:katana/katana.dart';

License #

BSD

0
likes
130
pub points
62%
popularity

Publisher

shield icon for verified publishersmathru.net

Package containing a collection of basic Flutter utilities. It provides the base part of the Masamune framework.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

connectivity_plus, crypto, csv, device_info_plus, flutter, flutter_riverpod, intl, package_info_plus, path_provider, riverpod, share_plus, shared_preferences, sprintf, typed_data, url_launcher, uuid

More

Packages that depend on katana